//############################################################################//
//             Copyright (c) 2004, Apycom Software, wwww.apycom.com
//             Apycom DHTML Tuner script
//             http://dhtml-menu.com
//             Programming by Shakhmatov Nik
//             E-mail: dhtml@apycom.com
//############################################################################//

var apy_tunerParams = [

  ['Common','section','icon_common',''],

    ['bblankImage',     'image',   'blank image filename', 'Path to a blank image.'],
    ['bselectedItem',   'integer', '0',  'Selected item index, >=0.'],
    ['bselectedSmItem', 'integer', '-1', 'Selected submenu item index.>>-1 - no selected submenu item.'],

  ['Menu','section','icon_menu',''],

    ['bmenuOrientation', 'boolean',         '0', 'Reserved. Do not change.'],
    ['bmenuWidth',       'integer-percent', '',  'Width of top-level menu (% or px).'],
    ['bmenuHeight',      'integer',         '',  'Menu height.'],

    ['bmenuBorderWidth',  'integer-nn',      '0', 'Menu border width.'],
    ['bmenuBorderStyle',  'set',             'none,solid,double,dotted,dashed,groove,ridge', 'Menu border style.'],
    ['bmenuBackImage',    'image',           '',  'Menu background image.'],

  ['Submenus','section','icon_submenus',''],

    ['bsmHeight',      'integer-percent', '16', 'Submenu height.'],
    ['bsmBackColor',   'color', '#DDDDDD', 'Submenu background color.'],

    ['','separator','',''],
    
    ['bsmBorderBottomDraw', 'boolean',    '1', 'Bottom border visibility.>>0 - hide;>>1 - show.'],
    ['bsmBorderWidth',      'integer-nn', '0', 'Submenu border width.'],
    ['bsmBorderStyle',      'set',        'none,solid,double,dotted,dashed,groove,ridge', 'Menu border style.'],
    ['bsmBorderColor',      'color',      '#AAAAAA', 'Submenu background color.'],

    ['','separator','',''],

    ['bsmItemAlign',  'set', 'left,center,right', 'Alignment of submenu item text.'],

    ['bsmItemSpacing', 'integer-nn', '0', 'Submenu item spacing.'],
    ['bsmItemPadding', 'integer-nn', '0', 'Submenu item padding.'],

  ['Menu Positioning','section','icon_menu_positioning',''],
    ['babsolute', 'boolean', '0', 'Sets absolute menu position.>>0 - relative position;>>1 - absolute position.'],
    ['bleft',     'integer', '0', 'X coordinate of top-left menu corner.'],
    ['btop',      'integer', '0', 'Y coordinate of top-left menu corner.'],

    ['','separator','',''],

    ['bfloatable',       'boolean',    '0', 'If enabled, menu "floats" on window scrolling and always stays visible.'],
    ['bfloatIterations', 'integer-nn', '6', 'Defines floatation speed.'],

    ['','separator','',''],

    ['tmoveable',        'boolean',    '0',  'If enabled, you can drag menu by using top spacer.'],
    ['tmoveImage',       'image',      '',   'Image of the drag spacer.'],
    ['tmoveImageHeight', 'integer-nn', '20', 'Height of drag image spacer.'],

  ['Font','section','icon_font',''],
    ['bfontStyle',      'font-array',  ['bold 9pt Verdana','',''], 'Normal, mouseover and selected font styles.'],
    ['bfontColor',      'color-array', ['#000000','#000000','#000000'], 'Normal, mouseover and selected font colors.'],
    ['bfontDecoration', 'set-array',   [',none,underline,line-through,overline',',none,underline,line-through,overline',',none,underline,line-through,overline'],'Normal, mouseover and selected font decorations.'],

  ['Items','section','icon_items',''],

    ['bbeforeItemSpace', 'integer-nn', '0', 'Space before item text.'],
    ['bafterItemSpace',  'integer-nn', '0', 'Space after item text.'],

    ['','separator','',''],

    ['bitemBorderStyle',  'set-array',  ['none,solid,double,dotted,dashed,groove,ridge','none,solid,double,dotted,dashed,groove,ridge','none,solid,double,dotted,dashed,groove,ridge'], 'Normal, mouseover and selected item border styles.'],
    ['bitemBorderWidth',  'integer-nn', '0', 'Item border width.'],

    ['','separator','',''],

    ['bitemSpacing', 'integer-nn', '0', 'Item spacing.'],
    ['bitemPadding', 'integer-nn', '0', 'Item padding.'],
    ['browSpace',   'integer-nn', '0', 'Space between rows.'],

    ['','separator','',''],

    ['bitemAlign',  'set', 'left,center,right', 'Alignment of item text.'],
    ['bitemCursor', 'set',
     'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize,',
     'Item cursor.'],
    ['bitemTarget', 'set-add', '_self,_blank,_top,_parent,_search,', 'Default target for all items.'],

  ['Item Images','section','icon_icons',''],

    ['bitemBackImage',  'image-array', ['','',''], 'Normal, mouseover and selected item background images.'],

    ['','separator','',''],

    ['bbeforeItemImage',  'image-array', ['','',''], 'Normal, mouseover and selected item right images.'],
    ['bbeforeItemImageW', 'integer-nn', '12',        'Width of item left image.'],
    ['bbeforeItemImageH', 'integer-nn', '22',        'Height of item left image.'],

    ['','separator','',''],

    ['bafterItemImage',  'image-array', ['','',''], 'Normal, mouseover and selected item right images.'],
    ['bafterItemImageW', 'integer-nn', '12',        'Width of item right image.'],
    ['bafterItemImageH', 'integer-nn', '22',        'Height of item right image.'],

  ['Colors','section','icon_colors',''],

    ['bmenuBackColor',   'color', '', 'Menu background color.'],
    ['bmenuBorderColor', 'color', '', 'Menu border color.'],

    ['','separator','',''],

    ['bitemBorderColor', 'color-array', ['#ffffff','#000000','#ffffff'], 'Normal, mouseover and selected item border colors.'],
    ['bitemBackColor',   'color-array', ['#ffffff','#ffffff','#ffffff'], 'Normal, mouseover and selected item background colors.'],

  ['Icons','section','icon_icons',''],
    ['biconWidth',  'integer-nn', '16', 'Item icon width.'],
    ['biconHeight', 'integer-nn', '16', 'Item icon height.'],
    ['biconAlign',  'set', 'left,right', 'Alignment of item icon.'],

  ['Separators','section','icon_separators',''],
    ['bseparatorWidth', 'integer-nn', '7', 'Separator width.'],

];

onload = apy_initialize;
